incubator-flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Erik de Bruin <e...@ixsoftware.nl>
Subject Re: [VOTE] Release InstallApacheFlex 1.0 - RC5
Date Wed, 26 Sep 2012 08:46:34 GMT
Bertrand,

> FLEX-33210 problem earlier, but as I said i'm very surprised that no
> one else here seems to be bothered by Flex software blindly installing
> stuff on user's boxes.

Well, the user expects the installer to install a functional SDK. The
Apache Flex SDK itself contains thousands of files, including binaries
with all the executable bits set, and there's no way the user is going
to verify the functionality of all of them. They need to trust these
files 'do no harm'. So, by extension, if the SDK is dependant on
binaries from another source, and it won't function without them, the
user will implicitly need to trust that source, reasoning that if the
source wasn't trusted, the SDK wouldn't (be able to/want to) rely on
it. So, adding the dialog adds an extra step to the installer and all
the talk about 'untrusted' and 'unverified' will almost certainly
create a sense of FUD, which is IMHO unhelpful at this point in this
project's development.

People have become sceptical about Flex's future, mostly by Adobe's
unfortunate communications and the initial handling of the OS release.
Right now I feel we should try to regain their trust and give them
back the feeling they can rely on Apache Flex to remain and be
continually developed. We do this by providing easy access to the SDK,
with as few steps and distractions as possible, allowing people to
quickly adopt the Apache Flex SDK and feel confidant about upgrading
to future releases. Only with that trust and the comfortable feeling
that their favourite SDK is in good hands with this project, will all
the other work (compiler, components etc.) have purpose.

My $ 0.02 ;-)

EdB



-- 
Ix Multimedia Software

Jan Luykenstraat 27
3521 VB Utrecht

T. 06-51952295
I. www.ixsoftware.nl

Mime
View raw message